Transfer Funds Between Futures Wallets
POSTπ Transfer
Transfers funds between user wallets (e.g. Spot β Cross, Cross β Isolated).
Important: When transferring to/from an
ISOLATEDwallet, you must specify the full wallet identifier (e.g.ISOLATED@BTC-PERP-USDT).Note: the source wallet must hold balance in every
currencylisted inapiWalletsbefore calling this endpoint.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| walletSrc | String | No | Source wallet identifier. Required when walletSrcType is ISOLATED |
| walletSrcType | String | Yes | Source wallet type β SPOT Β· CROSS Β· ISOLATED |
| walletDest | String | No | Destination wallet identifier. Required when walletDestType is ISOLATED |
| walletDestType | String | Yes | Destination wallet type β SPOT Β· CROSS Β· ISOLATED |
| apiWallets | Object[] | Yes | Transfer details |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| wallet | String | Wallet identifier |
| activeWalletName | String | Active wallet name |
| queryType | Integer | Query type |
| trackingID | Long | Internal tracking ID |
| walletTotalValue | Double | Wallet total value |
| totalValue | Double | Total value |
| marginBalance | Double | Margin balance |
| availableBalance | Double | Available balance |
| unrealisedProfitLoss | Double | Unrealized P&L |
| maintenanceMargin | Double | Maintenance margin |
| leverage | Double | Current leverage (CROSS: current, not setting) |
| openMargin | Double | Open margin |
| assets | Object[] | Available assets |
| assetsInUse | Object[] | Assets in use |
example
POST
https://api.btse.com/futures/api/v2.3/user/wallet/transferRequest
{
"walletSrc": "",
"walletSrcType": "SPOT",
"walletDest": "",
"walletDestType": "CROSS",
"apiWallets": [
{
"currency": "USD",
"allBalance": true
},
{
"currency": "BTC",
"allBalance": true
}
]
}